Bug 511984 - [Stratus 5.5 bug] UI appears locked (network configuration)
[Stratus 5.5 bug] UI appears locked (network configuration)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firstboot (Show other bugs)
5.4
All Linux
medium Severity medium
: beta
: 5.5
Assigned To: Martin Gracik
Alexander Todorov
: OtherQA
Depends On:
Blocks: 533941 566739
  Show dependency treegraph
 
Reported: 2009-07-15 16:43 EDT by Rich Johnson
Modified: 2013-07-04 08:46 EDT (History)
12 users (show)

See Also:
Fixed In Version: firstboot-1.4.27.8-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 566739 (view as bug list)
Environment:
Last Closed: 2010-03-30 05:07:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rich Johnson 2009-07-15 16:43:19 EDT
Description of problem:

It is far too easy to end up with an invisible Network Configuration window  _behind_ the  full-screen firstboot window.  When this happens the UI seems to be locked up locked up.


Steps to Reproduce:
1. IPL from CDs
2. Click [Change Network Configuration] from firstboot's network configuration page
3. Click [Forward] on network configuration page
  
Actual results:
The firstboot full-screen window is displayed, but mouse is ineffective.  UI appears locked up.

<alt-tab> will bring the Network configuration window back to the surface.

User must close the Network Configuration using the window frame's [X] button before clicking [Forward]  

Expected results:
Either:
 - Clicking [Next] confirms and commits any outstanding network configuration changes
 - the Network Configuration window acts as a modal window and remains on the surface until explicitly closed (a commit button would make interaction more intuitive).  

Additional info:
Not a regression, symptom also observed with RHEL5.3

Recovery:  
<alt-tab> brings the Network Configuration window back to the surface.
Comment 1 Andrius Benokraitis 2009-07-16 08:52:53 EDT
rich - this has been formally proposed for RHEL 5.5.
Comment 8 Martin Gracik 2010-01-14 07:40:40 EST
fixed in version 1.4.27.8
Comment 10 Alexander Todorov 2010-02-11 04:18:01 EST
Stratus,
can you test this with RHEL5.5 Beta and share your results? 

Thanks.
Comment 11 Chris Ward 2010-02-11 05:03:28 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 12 Rich Johnson 2010-02-19 10:41:16 EST
Specific issue has been addressed: Network Configuration window stays on top with RHEL5.5 Beta.

See bug 566739 for ancillary issues discovered while testing.
Comment 13 Alexander Todorov 2010-02-19 11:25:18 EST
Moving to VERIFIED as per comment #12
Comment 15 errata-xmlrpc 2010-03-30 05:07:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0314.html

Note You need to log in before you can comment on or make changes to this bug.